<?php

namespace App\Entity;

use App\Repository\CityFollowUpRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: CityFollowUpRepository::class)]
class CityFollowUp
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column]
    private ?float $measure = null;

    #[ORM\Column]
    private ?\DateTime $date = null;

    #[ORM\ManyToOne(targetEntity: Stats::class, inversedBy: 'cityFollowUps')]
    private ?Stats $stats = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }

    public function getMeasure(): ?float
    {
        return $this->measure;
    }

    public function setMeasure(float $measure): static
    {
        $this->measure = $measure;

        return $this;
    }

    public function getDate(): ?\DateTime
    {
        return $this->date;
    }

    public function setDate(\DateTime $date): static
    {
        $this->date = $date;

        return $this;
    }

    public function getStats(): ?Stats
    {
        return $this->stats;
    }

    public function setStats(?Stats $stats): static
    {
        $this->stats = $stats;
        return $this;
    }
}
